dpkg-buildflags(1)

NAMN
dpkg-buildflags - returnerar byggflaggor att använda för att bygga paket

SYNOPS
dpkg-buildflags [flaggor...] kommando

BESKRIVNING
dpkg-buildflags är ett verktyg för att hämta kompileringsflaggor att använda för att bygga Debianpaket. De förvalda flaggorna anges av leverantören, men de kan utökas/överstyras på flera sätt:

1.  på hela systemet med /etc/dpkg/buildflags.conf;

2.  för den nuvarande användaren med $XDG_CONFIG_HOME/dpkg/buildflags.conf där $XDG_CONFIG_HOME har standardvärdet $HOME/.config;

3.  temporärt med miljövariabler sätts (se stycket MILJÖ).

Konfigurationsfilerna kan innehålla två sorters direktiv:

SET flagga värde
    Överstyr flaggan flagga till att ha värdet värde.

APPEND flagga värde
    Utöka flaggan flagga med alternativen som anges i värde. Ett blanksteg läggs till före värdet om flaggans nuvarande värde inte är tomt.

Konfigurationsfilerna kan innehålla kommentarer på rader som börjar med ett nummertecken (#). Även tomma rader ignoreras.

KOMMANDON

--list
    Skriv ut listan över flaggor som stöds av den aktuella leverantören (en per rad). Se stycket FLAGGOR SOM STÖDS för mer information om dem.

--export=format
    Print to standard output shell (if format is sh) or make (if format is make) commands that can be used to export all the compilation flags in the environment. If the format value is not given, sh is assumed. Only compilation flags starting with an upper case character are included, others are assumed to not be suitable for the environment.

--get flagga
    Skriv ut värdet på flaggan på standard ut. Avslutar med 0 om flaggan är känd, om inte avslutar den med 1.

--origin flagga
    Anger ursprunget till flaggan som returneras av --get. Avslutar med 0 om flaggan är känd, om inte avslutar med 1. Ursprunget kan vara ett av följande värden:

    vendor
        originalflagga satt av leverantören returneras;

    system
        flaggan är satt/modifierad av systemkonfigurationen;

    user
        flaggan är satt/modifierad av användarkonfigurationen;

    env flaggan är satt/modifierad av en miljöspecifik konfiguration.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR SOM STÖDS

CFLAGS
    Flaggor för C-kompilatorn. Standardvärdet som satts av leverantören innehåller -g och den förvalda optimeringsnivån (vanligtvis -O2, eller -O0 om miljövariabeln DEB_BUILD_OPTIONS definierar noopt).

CPPFLAGS
    Flaggor för C-förprocesseraren. Förvalt värde: tomt.

CXXFLAGS
    Flaggor för C++-kompilatorn. Samma som CFLAGS.

FFLAGS
    Flaggor för Fortrankompilatorn. Samma som CFLAGS.

LDFLAGS
    Flaggor som sänds till kompilatorn vid länkning av binärer eller delade objekt (om länkaren anropas direkt måste -Wl och , tas bort från dessa flaggor). Standardvärde: tomt.

FILER

/etc/dpkg/buildflags.conf
    Konfigurationsfil för hela systemet.

$XDG_CONFIG_HOME/dpkg/buildflags.conf eller $HOME/.config/dpkg/buildflags.conf
    Användarens konfigurationsfil.

MILJÖVARIABLER

DEB_flagga_SET
    Denna variabel kan användas för att tvinga fram värdet som returneras för given flagga.

DEB_flagga_APPEND
    Denna variabel kan användas för att lägga till ytterligare flaggor till värdet som returneras för given flagga.

FÖRFATTARE
Upphovsrättsskyddat © 2010 Raphaël Hertzog

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.